proc_close
proc_nice
Program execution Functions
PHP Manual

# proc_get_status

(PHP 5, PHP 7)

proc_get_status — Get information about a process opened by proc_open()

### Description

array proc_get_status ( resource `$process` )

proc_get_status() fetches data about a process opened using proc_open().

### Parameters

`process`

  The proc_open() resource that will be evaluated.

### Return Values

An array of collected information on success, and `FALSE` on failure. The returned array contains the following elements:

element | type | description
--- | --- | ---
command | string | The command string that was passed to proc_open().
pid | int | process id
running | bool | `TRUE` if the process is still running, `FALSE` if it has terminated.
signaled | bool | `TRUE` if the child process has been terminated by an uncaught signal. Always set to `FALSE` on Windows.
stopped | bool | `TRUE` if the child process has been stopped by a signal. Always set to `FALSE` on Windows.
exitcode | int | The exit code returned by the process (which is only meaningful if running is `FALSE`). Only first call of this function return real value, next calls return -1.
termsig | int | The number of the signal that caused the child process to terminate its execution (only meaningful if signaled is `TRUE`).
stopsig | int | The number of the signal that caused the child process to stop its execution (only meaningful if stopped is `TRUE`).

### See Also

- proc_open() - Execute a command and open file pointers for input/output

proc_close
proc_nice
Program execution Functions
PHP Manual